import { API, BASE } from "./Constants"
import { Session } from "./api/session.ts"


export function redirect(url: string) {
    location.pathname = BASE + url
}

export function fetchAPI(
    url: string,
    payload: unknown,
    method = "POST",
    session?: Session,
): Promise<Response> {

    const token = session?.auth?.token

    const headers = {
        "Accept": "application/json",
        "Content-Type": "application/json",
    }

    if (token) {
        headers.Authorization = token
    }

    return fetch(`${API}/${url}`, {
        method,
        headers,
        body: JSON.stringify(payload),
    })
}


export function fetchAPIGet(
    url: string,
    session?: Session,
): Promise<Response> {

    const token = session?.auth?.token

    const headers = {
        "Accept": "application/json",
        "Content-Type": "application/json",
    }

    if (token) {
        headers.Authorization = token
    }

    return fetch(`${API}/${url}`, {
        method: "GET",
        headers,
    })
}


