import { createContext } from "react"

export interface Session {
    auth?: Authentication
}

export interface Authentication {
    token: string
    expirationDate: Date
}

const SESSION_KEY = "session"

// export const SessionContext = createContext<Session>(getSession())

export function saveSession(session: Session) {
    localStorage.setItem(SESSION_KEY, JSON.stringify(session))
}

export function getSession(): Session {
    const json = localStorage.getItem(SESSION_KEY)
    return json ? JSON.parse(json) : {}
}